> For the complete documentation index, see [llms.txt](https://docs.apryse.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.apryse.com/ios/changelogs/version-6/v6-7-3-62393.md).

# Version 6.7.3.62393 (October 13, 2017 )

Discover the latest updates in the PDFTron iOS SDK - Release date: October 13, 2017. Learn about improvements, changes, and bug fixes for a seamless experience. The Apryse iOS SDK streamlines secure d

Release date: October 13, 2017

Built with Xcode 9.0 GM Seed.

\##Improvements:

* **iOS 11**: Adds the property `contentInsetAdjustmentBehavior` to PTPDFViewCtrl control the behavior for determining the adjusted content offsets of the PDF scrollview in iOS 11.
* **Bitcode**: All versions of the library now ship with bitcode.
* **Swift errors**: Added a PTPDFNet static convenience method `+ (BOOL)CatchException:(void(^)())tryBlock error:(__autoreleasing NSError **)error` to convert Obj-C exceptions to Swift errors. Usage is as follows:

{% tabs %}
{% tab title="Shell" %}
{% code lineNumbers="true" %}

```sh
do  
{  
    try PTPDFNet.catchException {  
        // method that could throw an exception
        doc = PTPDFDoc(filepath: docPath!)  
    }
}
catch
{
    print("Caught exception \(error)")
}
```

{% endcode %}
{% endtab %}
{% endtabs %}

\##Changes and Bug fixes:

* Adds the prefix `PT` to a number of classes and enums that were previously missing it.
* Fixes for the sampe projects when run on iOS 11.
* Miscellaneous minor bug fixes.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.apryse.com/ios/changelogs/version-6/v6-7-3-62393.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
